from setuptools import setup, find_packages
import os
import uwsgiit

CLASSIFIERS = [
    'Environment :: Console',
    'Intended Audience :: Developers',
    'Intended Audience :: System Administrators',
    'License :: OSI Approved :: BSD License',
    'Operating System :: OS Independent',
    'Programming Language :: Python',
    'Topic :: Software Development :: Libraries :: Python Modules',
]

setup(
    author="20tab S.r.l.",
    author_email="info@20tab.com",
    name='uwsgiit-client',
    version=uwsgiit.__version__,
    description='Library for uwsgi.it api',
    long_description=open(os.path.join(os.path.dirname(__file__), 'README.md')).read(),
    url="https://github.com/20tab/uwsgiit-client",
    license='BSD License',
    platforms=['OS Independent'],
    classifiers=CLASSIFIERS,
    keywords='uwsgi.it',
    install_requires=[
        'requests>=2',
    ],
    packages=find_packages(exclude=["example", "example.*"]),
    include_package_data=True,
    zip_safe=False,
)
